"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useContainerStyles = void 0;
const react_1 = require("@griffel/react");
const react_theme_1 = require("@pongo-ui/react-theme");
const useStyles = (0, react_1.makeStyles)({
    root: {
        display: 'flex',
        flexDirection: 'column',
        flexGrow: 1,
    },
    wrap: {
        flexWrap: 'wrap',
    },
    centerHorizontal: {
        alignItems: 'center',
    },
    startHorizontal: {
        alignItems: 'start',
    },
    endHorizontal: {
        alignItems: 'end',
    },
    centerVertical: {
        justifyContent: 'center',
    },
    startVertical: {
        justifyContent: 'start',
    },
    endVertical: {
        justifyContent: 'end',
    },
    focused: {
        ...react_1.shorthands.padding(react_theme_1.tokens.focusedLayout),
        ...react_1.shorthands.gap(react_theme_1.tokens.focusedLayout),
    },
    relaxed: {
        ...react_1.shorthands.padding(react_theme_1.tokens.relaxedLayout),
        ...react_1.shorthands.gap(react_theme_1.tokens.relaxedLayout),
    },
});
const useContainerStyles = (state) => {
    const styles = useStyles();
    state.root.className = (0, react_1.mergeClasses)(styles.root, styles[state.appearance], state.wrap && styles.wrap, styles[(state.horizontalAlignment + 'Horizontal')], styles[(state.verticalAlignment + 'Vertical')], state.root.className);
    return state;
};
exports.useContainerStyles = useContainerStyles;
//# sourceMappingURL=useContainerStyles.js.map