"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Stack_1 = require("./Stack");
const isConformant_1 = require("../../common/isConformant");
const react_2 = require("@testing-library/react");
describe('Input', () => {
    (0, isConformant_1.isConformant)({
        Component: Stack_1.Stack,
        displayName: 'Stack',
    });
    it('renders a basic Stack', () => {
        const renderedComponent = (0, react_2.render)(react_1.default.createElement(Stack_1.Stack, null));
        expect(renderedComponent.baseElement).toMatchSnapshot();
    });
    it('renders a divider Stack', () => {
        const renderedComponent = (0, react_2.render)(react_1.default.createElement(Stack_1.Stack, { divider: ' - ' },
            react_1.default.createElement("p", null, "Hello"),
            react_1.default.createElement("p", null, "Hello")));
        expect(renderedComponent.baseElement).toMatchSnapshot();
    });
    it('renders a divider Stack with once child', () => {
        const renderedComponent = (0, react_2.render)(react_1.default.createElement(Stack_1.Stack, { divider: ' - ' },
            react_1.default.createElement("p", null, "Hello")));
        expect(renderedComponent.baseElement).toMatchSnapshot();
    });
    it('renders a vertical Stack', () => {
        const renderedComponent = (0, react_2.render)(react_1.default.createElement(Stack_1.Stack, { vertical: true }));
        expect(renderedComponent.baseElement).toMatchSnapshot();
    });
    it('Correctly applies horizontal/vertical alignment to Stack (vertical)', () => {
        const renderedComponent = (0, react_2.render)(react_1.default.createElement(Stack_1.Stack, { vertical: true, horizontalAlignment: "center", verticalAlignment: "center" }));
        expect(renderedComponent.baseElement).toMatchSnapshot();
    });
    it('Correctly applies horizontal/vertical alignment to Stack (horizontal)', () => {
        const renderedComponent = (0, react_2.render)(react_1.default.createElement(Stack_1.Stack, { horizontalAlignment: "center", verticalAlignment: "center" }));
        expect(renderedComponent.baseElement).toMatchSnapshot();
    });
});
//# sourceMappingURL=Stack.test.js.map