"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStack = void 0;
const react_utilities_1 = require("@fluentui/react-utilities");
const useStack = (props, ref) => {
    const { vertical = false, divider, appearance = 'focused', horizontalAlignment = 'start', verticalAlignment = 'start', grow = false, inline = false, wrap = true, } = props;
    const state = {
        vertical,
        divider,
        appearance,
        inline,
        wrap,
        grow,
        horizontalAlignment,
        verticalAlignment,
        components: {
            root: 'div',
        },
        root: (0, react_utilities_1.getNativeElementProps)('div', {
            ref,
            ...props,
        }),
    };
    if (divider) {
        const oldChildren = state.root.children;
        const newChildren = [];
        if (oldChildren && oldChildren.length > 1) {
            for (let i = 0; i < oldChildren.length - 1; i++) {
                newChildren.push(oldChildren[i]);
                newChildren.push(divider);
            }
            newChildren.push(oldChildren[oldChildren.length - 1]);
        }
        state.root.children = newChildren;
    }
    return state;
};
exports.useStack = useStack;
//# sourceMappingURL=useStack.js.map