"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useStackStyles = void 0;
const react_1 = require("@griffel/react");
const react_theme_1 = require("@pongo-ui/react-theme");
const useStyles = (0, react_1.makeStyles)({
    grow: {
        width: '100%',
        height: '100%',
        ['> *']: {
            flexGrow: 1,
        },
    },
    inline: {
        display: 'inline-flex',
    },
    flex: {
        display: 'flex',
    },
    horizontal: {
        flexDirection: 'row',
    },
    vertical: {
        flexDirection: 'column',
    },
    centerHorizontal: {
        alignItems: 'center',
    },
    startHorizontal: {
        alignItems: 'start',
    },
    endHorizontal: {
        alignItems: 'end',
    },
    centerVertical: {
        justifyContent: 'center',
    },
    startVertical: {
        justifyContent: 'start',
    },
    endVertical: {
        justifyContent: 'end',
    },
    wrap: {
        flexWrap: 'wrap',
    },
    focused: {
        ...react_1.shorthands.gap(react_theme_1.tokens.focusedLayout),
    },
    relaxed: {
        ...react_1.shorthands.gap(react_theme_1.tokens.relaxedLayout),
    },
});
const useStackStyles = (state) => {
    const styles = useStyles();
    state.root.className = (0, react_1.mergeClasses)(state.vertical ? styles.vertical : styles.horizontal, state.inline ? styles.inline : styles.flex, state.wrap && styles.wrap, state.grow && styles.grow, styles[state.appearance], state.vertical
        ? styles[(state.horizontalAlignment + 'Horizontal')]
        : styles[(state.horizontalAlignment + 'Vertical')], state.vertical
        ? styles[(state.verticalAlignment + 'Vertical')]
        : styles[(state.verticalAlignment + 'Horizontal')], state.root.className);
    return state;
};
exports.useStackStyles = useStackStyles;
//# sourceMappingURL=useStackStyles.js.map