"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalAlignmentContainerExample = exports.HorizontalAlignmentContainerExample = exports.WrapContainerExample = exports.RelaxedContainerExample = exports.BasicContainerExample = void 0;
const React = __importStar(require("react"));
const index_1 = require("../index");
const react_1 = require("@griffel/react");
const react_theme_1 = require("@pongo-ui/react-theme");
const useStyles = (0, react_1.makeStyles)({
    root: {
        display: 'flex',
        flexDirection: 'column',
        ...react_1.shorthands.gap('10px'),
    },
    box: {
        display: 'flex',
        flexGrow: 1,
        backgroundColor: react_theme_1.tokens.brand,
        width: '10px',
        height: '10px',
    },
    containerBorder: {
        ...react_1.shorthands.border('1px', 'solid', react_theme_1.tokens.inherit),
    },
    verticalExample: {
        height: '500px',
        ...react_1.shorthands.border('1px', 'solid', react_theme_1.tokens.inherit),
    },
    smallBorderExample: {
        ...react_1.shorthands.border('1px', 'solid', react_theme_1.tokens.inherit),
        height: '100px',
    },
    largeBox: {
        backgroundColor: react_theme_1.tokens.brand,
        width: '100px',
        height: '100px',
    },
});
const BasicContainerExample = () => {
    const styles = useStyles();
    return (React.createElement(index_1.Container, { className: styles.containerBorder },
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box })));
};
exports.BasicContainerExample = BasicContainerExample;
const RelaxedContainerExample = () => {
    const styles = useStyles();
    return (React.createElement(index_1.Container, { className: styles.containerBorder, appearance: "relaxed" },
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box })));
};
exports.RelaxedContainerExample = RelaxedContainerExample;
const WrapContainerExample = () => {
    const styles = useStyles();
    return (React.createElement(index_1.Container, { className: styles.smallBorderExample, wrap: true, appearance: "relaxed" },
        React.createElement("div", { className: styles.largeBox }),
        React.createElement("div", { className: styles.largeBox })));
};
exports.WrapContainerExample = WrapContainerExample;
const HorizontalAlignmentContainerExample = () => {
    const styles = useStyles();
    return (React.createElement("div", { className: styles.root },
        React.createElement(index_1.Container, { className: styles.containerBorder, horizontalAlignment: "start" },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box })),
        React.createElement(index_1.Container, { className: styles.containerBorder, horizontalAlignment: "center" },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box })),
        React.createElement(index_1.Container, { className: styles.containerBorder, horizontalAlignment: "end" },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }))));
};
exports.HorizontalAlignmentContainerExample = HorizontalAlignmentContainerExample;
const VerticalAlignmentContainerExample = () => {
    const styles = useStyles();
    return (React.createElement("div", { className: styles.root },
        React.createElement(index_1.Container, { className: styles.verticalExample, verticalAlignment: "start" },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box })),
        React.createElement(index_1.Container, { className: styles.verticalExample, verticalAlignment: "center" },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box })),
        React.createElement(index_1.Container, { className: styles.verticalExample, verticalAlignment: "end" },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }))));
};
exports.VerticalAlignmentContainerExample = VerticalAlignmentContainerExample;
exports.default = {
    title: 'Components/Container',
    component: index_1.Container,
};
//# sourceMappingURL=Container.stories.js.map