import { getNativeElementProps } from '@fluentui/react-utilities';
export const useStack = (props, ref) => {
    const { vertical = false, divider, appearance = 'focused', horizontalAlignment = 'start', verticalAlignment = 'start', grow = false, inline = false, wrap = true, } = props;
    const state = {
        vertical,
        divider,
        appearance,
        inline,
        wrap,
        grow,
        horizontalAlignment,
        verticalAlignment,
        components: {
            root: 'div',
        },
        root: getNativeElementProps('div', {
            ref,
            ...props,
        }),
    };
    if (divider) {
        const oldChildren = state.root.children;
        const newChildren = [];
        if (oldChildren && oldChildren.length > 1) {
            for (let i = 0; i < oldChildren.length - 1; i++) {
                newChildren.push(oldChildren[i]);
                newChildren.push(divider);
            }
            newChildren.push(oldChildren[oldChildren.length - 1]);
        }
        state.root.children = newChildren;
    }
    return state;
};
//# sourceMappingURL=useStack.js.map