import { makeStyles, mergeClasses, shorthands } from '@griffel/react';
import { tokens } from '@pongo-ui/react-theme';
const useStyles = makeStyles({
    grow: {
        width: '100%',
        height: '100%',
        ['> *']: {
            flexGrow: 1,
        },
    },
    inline: {
        display: 'inline-flex',
    },
    flex: {
        display: 'flex',
    },
    horizontal: {
        flexDirection: 'row',
    },
    vertical: {
        flexDirection: 'column',
    },
    centerHorizontal: {
        alignItems: 'center',
    },
    startHorizontal: {
        alignItems: 'start',
    },
    endHorizontal: {
        alignItems: 'end',
    },
    centerVertical: {
        justifyContent: 'center',
    },
    startVertical: {
        justifyContent: 'start',
    },
    endVertical: {
        justifyContent: 'end',
    },
    wrap: {
        flexWrap: 'wrap',
    },
    focused: {
        ...shorthands.gap(tokens.focusedLayout),
    },
    relaxed: {
        ...shorthands.gap(tokens.relaxedLayout),
    },
});
export const useStackStyles = (state) => {
    const styles = useStyles();
    state.root.className = mergeClasses(state.vertical ? styles.vertical : styles.horizontal, state.inline ? styles.inline : styles.flex, state.wrap && styles.wrap, state.grow && styles.grow, styles[state.appearance], state.vertical
        ? styles[(state.horizontalAlignment + 'Horizontal')]
        : styles[(state.horizontalAlignment + 'Vertical')], state.vertical
        ? styles[(state.verticalAlignment + 'Vertical')]
        : styles[(state.verticalAlignment + 'Horizontal')], state.root.className);
    return state;
};
//# sourceMappingURL=useStackStyles.js.map