import * as React from 'react';
import { Stack, Container } from '../index';
import { makeStyles, shorthands } from '@griffel/react';
import { tokens } from '@pongo-ui/react-theme';
const useStyles = makeStyles({
    box: {
        display: 'flex',
        backgroundColor: tokens.brand,
        width: '10px',
        height: '10px',
    },
    containerBorder: {
        ...shorthands.border('1px', 'solid', tokens.inherit),
    },
});
export const BasicStackExample = () => {
    const styles = useStyles();
    return (React.createElement(Stack, { className: styles.containerBorder },
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box })));
};
export const ContainerStackExample = () => {
    const styles = useStyles();
    return (React.createElement(Container, { className: styles.containerBorder },
        React.createElement(Stack, { grow: true, style: { background: 'red' } },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }))));
};
export const StackVerticalExample = () => {
    const styles = useStyles();
    return (React.createElement(Stack, { vertical: true },
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box }),
        React.createElement("div", { className: styles.box })));
};
export const StackDividerExample = () => {
    const styles = useStyles();
    return (React.createElement(React.Fragment, null,
        React.createElement(Stack, { vertical: true, divider: React.createElement("div", { className: styles.box }), inline: true },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box })),
        React.createElement(Stack, { divider: React.createElement("div", { className: styles.box }), inline: true },
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }),
            React.createElement("div", { className: styles.box }))));
};
export default {
    title: 'Components/Stack',
    component: Stack,
};
//# sourceMappingURL=Stack.stories.js.map